Redmine - Feature #5953

Copy RSS/REST API keys to clipboard with javascript
2010-07-24 23:17 - Akiko Takano

Status: New Start date: 2010-07-24
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

| hope that we can copy (and paste) RSS/REST API keys to clipboard with javascript since key value is pretty long.

Related issues:
Related to Redmine - Feature #29214: Button to copy “pre” code block content ... Closed

History

#1 - 2010-07-25 12:03 - Felix Schéfer

- Assignee set to Felix Schéfer

You can already copy the key by selecting the text, we might be able to make it a little easier though by copying some of the features of Holger's
Checkout Plugin.

#2 - 2010-07-29 01:48 - Akiko Takano

Thaks for your reply!

Felix Schéafer wrote:
You can already copy the key by selecting the text, we might be able to make it a little easier though by copying some of the features of Holger's
Checkout Plugin.

I've added above Redmine Checkout plugin. This is so nice and this looks like GitHub's copy URL function :)

It seems the function to copy the URL for checkout is using some swf(Flash) object.

e http://code.google.com/p/zeroclipboard/wiki/Instructions

I think it's nice if this javascript library was included not only plugin but also rdmine itself.

#3 - 2011-01-15 09:48 - Felix Schéfer
- Assignee deleted (Felix Schéfer)

#4 - 2012-02-29 04:31 - RedminePro Yang

+1

#5 - 2018-07-10 00:38 - Go MAEDA
- Related to Feature #29214: Button to copy ‘pre’ code block content to the clipboard added

#6 - 2019-07-17 10:48 - Yuichi HARADA
- File add_link_to_copy.png added
- File fixed-5953.patch added

When the API access key is displayed, the copy link is displayed. Click this link to copy the API access key to the clipboard.

add_link_to_copy.png
| attached a patch.

#7 - 2019-07-18 08:40 - Go MAEDA
http://code.google.com/p/zeroclipboard/wiki/Instructions

- Target version set to Candidate for next major release
#8 - 2019-08-20 15:12 - Go MAEDA
Thank you for posting the patch. | tried out it and noticed the following points:

e There is no feedback when you click the Copy link. Users may confused and click the link again and again
¢ In Redmine, copy.png and the label "Copy" means creating an object by cloning the existing one. | think it is better to use another icon or label

#9 - 2021-03-19 03:24 - Yuichi HARADA
- File fixed-5953-v2.patch added

Fixed to work with JavaScript function copyTextToClipboard added to the trunk (r20816).
https://www.redmine.org/projects/redmine/repository/revisions/20816/diff/trunk/public/javascripts/application.js

Go MAEDA wrote:
Thank you for posting the patch. | tried out it and noticed the following points:
e There is no feedback when you click the Copy link. Users may confused and click the link again and again

¢ In Redmine, copy.png and the label "Copy" means creating an object by cloning the existing one. | think it is better to use another icon or
label

Sorry, | haven't fixed these yet.

#10 - 2021-11-15 12:41 - Aleksandar Pavic

+1 for this to be core feature

#11 - 2021-11-15 12:44 - Aleksandar Pavic

+1 for this to be core feature and #29214 the pre tag is even more important, especially good use-case is copying blocks of code...

Files

add_link_to_copy.png 181 KB 2019-07-17 Yuichi HARADA
fixed-5953.patch 2.61 KB 2019-07-17 Yuichi HARADA
fixed-5953-v2.patch 2.4 KB 2021-03-19 Yuichi HARADA
